import Foundation
import WebSocketKit

final class WaitingPlayer: Player {

    var canStartGame: Bool = false

    override var actions: [PlayerAction] {
        canStartGame ? [.deal] : []
    }

    override var leadsGame: Bool {
        get { false }
        set { }
    }

    override var points: Int? {
        get { nil }
        set { }
    }
    
}
